29Tools
Neu · MCP SuiteDeine Infrastruktur spricht jetzt mit KI-Agenten.

Claude, Codex & Co. verwalten DNS, Domains und Zertifikate direkt, inklusive DNS-Doktor-Diagnosen.

MCP Suite entdecken
DNS API-Referenz
v1.6.2
OpenAPI herunterladen
Inspect the current API key
Returns the public key id, the granted permissions (null = legacy key with full access), and the customer id of the authenticated API key. Used by the regfish MCP server and other integrations for capability discovery.
GET
/meta/token
Meta

Authentifizierung

x-api-key

Request-Beispiel

GET
curl --request GET \
  --url 'https://api.regfish.com/meta/token' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
API key metadata
application/jsontokenInfoResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "key_id": "example",
    "token_l4": "example",
    "permissions": [
      "example"
    ],
    "scope": "example",
    "customer_id": 1
  }
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.